<?php
require_once ALI_APPLICATION_PATH . '/controllers/Abstract/Admin.php';

class Ali_Controller_StatsController 
    extends Ali_Controller_Abstract_Admin
{    
    public function indexAction()
    {
        if (isset($_POST['action'])) {
            $method = '_tool' . ucfirst($_POST['action']);
            if (method_exists($this, $method)) {
                $this->$method();
            } else {
                $this->_addMessage("Invalid action '{$_POST['action']}'", 'error');
            }
        }
    }
    
    public function _toolReset()
    {
        Ali_Application::getModel('Tracking')->clear();
        $this->_addMessage('Tracking stats has been reset');
    }
}